Bug 782179 - (CVE-2012-0049) CVE-2012-0049 openttd: denial of service via slow read attack
CVE-2012-0049 openttd: denial of service via slow read attack
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120106,repor...
: Security
Depends On: 782181
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-16 13:49 EST by Vincent Danen
Modified: 2015-07-31 02:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-31 04:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-01-16 13:49:43 EST
A denial of service flaw was reported in OpenTTD 0.3.5 through to 1.1.4 [1],[2].  If a remote attacker were to join a server and start downloading a map file very slowly, it would prevent other users from joining the server until the download was complete.  As well, the game would be paused until the download completed, preventing currently-active users from continuing the game.

This has been corrected in upstream 1.1.5 (via svn r23764 [3]).

[1] http://security.openttd.org/en/CVE-2012-0049
[2] http://bugs.openttd.org/task/4955
[3] http://vcs.openttd.org/svn/changeset/23764
Comment 1 Vincent Danen 2012-01-16 13:52:35 EST
Created openttd tracking bugs for this issue

Affects: fedora-all [bug 782181]
Comment 2 Felix Kaechele 2012-01-16 14:12:20 EST
I'll push the new version later today

Note You need to log in before you can comment on or make changes to this bug.